%define major		0
%define libname		%mklibname raqm %{major}
%define develname	%mklibname raqm -d

Name:		libraqm
Version:	0.10.0
Release:	%mkrel 1
License:	MIT
Group:		System/Libraries
Summary:	Complex Textlayout Library
URL:		https://github.com/HOST-Oman/libraqm
Source:		https://github.com/HOST-Oman/libraqm/releases/download/v%{version}/raqm-%{version}.tar.xz

BuildRequires:	gcc
BuildRequires:	meson
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(harfbuzz)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	gtk-doc
# needed for testsuite
BuildRequires:	locales-en

%description
Library that encapsulates the logic for complex
text layout and provides a convenient API.

#------------------------------------------------

%package -n	%{libname}
Summary:	Complex Textlayout Library
Group:		System/Libraries

%description -n	%{libname}
Library that encapsulates the logic for complex
text layout and provides a convenient API.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	raqm-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1 -n raqm-%{version}

%build
%meson -Ddocs=true
%meson_build

%install
%meson_install

%check
export LC_ALL=en_US.UTF-8
%meson_test

%files -n %{libname}
%license COPYING
%{_libdir}/libraqm.so.%{major}{,.*}

%files -n %{develname}
%license COPYING
%doc AUTHORS NEWS README.md
%{_includedir}/raqm.h
%{_includedir}/raqm-version.h
%{_libdir}/libraqm.so
%{_libdir}/pkgconfig/raqm.pc
%{_datadir}/gtk-doc/html/raqm


%changelog
* Thu Jan 12 2023 daviddavid <daviddavid> 0.10.0-1.mga9
+ Revision: 1932430
- new version: 0.10.0

* Thu Oct 27 2022 ghibo <ghibo> 0.9.0-1.mga9
+ Revision: 1899787
- Update to release 0.9.0.
- Switch to meson.
- Fix files list.
+ neoclust <neoclust>
- New version 	0.8.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Dec 15 2020 daviddavid <daviddavid> 0.7.1-1.mga8
+ Revision: 1657659
- new version: 0.7.1

* Sat Feb 15 2020 umeabot <umeabot> 0.7.0-2.mga8
+ Revision: 1526818
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jun 30 2019 daviddavid <daviddavid> 0.7.0-1.mga8
+ Revision: 1416367
- new version: 0.7.0

* Thu May 09 2019 daviddavid <daviddavid> 0.6.0-1.mga7
+ Revision: 1396935
- new version: 0.6.0

* Fri Dec 28 2018 daviddavid <daviddavid> 0.5.0-1.mga7
+ Revision: 1345630
- initial package libraqm (needed for supertux)

